int count3s() /* From "Principles of Parallel Programming", page 195. */
{
   int i;
   count = 0;
   #pragma opm parallel shared(array, count, length)\
     private(count_p)
   {
      count_p = 0;
      #pragma opm parallel for private(i)
      for(i = 0; i < length; i++)
      {
         if(array[i] == 3)
         {
            count_p++;
         }
      }
      #pragma omp critical
      {
         count += count_p;
      }
   }
   return count;
}